Download it now!
Bug 118217 - Menubar: writer menubar update
Summary: Menubar: writer menubar update
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Main-Menu
  Show dependency treegraph
 
Reported: 2018-06-17 21:29 UTC by andreas_k
Modified: 2018-11-29 19:52 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
New Writer Menubar (1.03 MB, image/png)
2018-06-17 21:29 UTC, andreas_k
Details
[WIP] writer menus old (top) and new (bottom) (2.33 MB, image/png)
2018-06-17 22:28 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2018-06-17 21:29:55 UTC
Created attachment 142830 [details]
New Writer Menubar

I start with update the menubars and as writer is the "master" for all other apps this is how I was thinking where the menubar can go.
Comment 1 andreas_k 2018-06-17 21:32:53 UTC
https://gerrit.libreoffice.org/#/c/55971/

And here is the patch so you can maybe better review what was changed.
Comment 2 Thomas Lendo 2018-06-17 21:38:17 UTC
What has changed? What should it be changed? And why should it be changed?

I'm a little bit afraid because in the 5.x cycle many changes were made especially by Jay. They were discussed in detail and based (sometimes) on use statistics.
Comment 3 andreas_k 2018-06-17 22:28:47 UTC
Created attachment 142831 [details]
[WIP] writer menus old (top) and new (bottom)

File
----
- NO change

Edit
----
- Separator between Past and Select
- Select options grouped like in calc
- Track Changes moved to Reference main menu (no text dropdown)
- Comment stuff is also in new Reference menu
- Design Mode is in Forms and should be removed
- Exchange Database moved to tools cause there are ALL "database" items

View
----
- 3rd section are the show additional stuff like Formatting Marks, Whitespace and Grid
- 4rd section are alternative views
- Data Sources -> Tools as all Database stuff

Insert
------
- horizontal Line moved to Shape Submenu
- Section and Text from File move more to bottom (Section fit's good with signature cause you can lock sections)
- Text from File I don't know in which group

Format
------
- Chapter Numbering was added cause it fit's with Character, Paragraph, ... Property
- Caption was moved from insert to the Image, Shape, Object group cause Caption is exactly for them.
- Name and Description I don't know where to move them, I don't know why this should be that useful in writer should be somewhere in a subgroup
- as Format is the largest new section (same size than insert in the old layout) I would prefer to combine Flip and Rotate

Styles
------
- NO changes

Review
------
- Complete new Main Section
- Review yourself with Spelling
- AutoText
- Track Changes
- Comments (the names should be more clear for the different commands, also in 6.0)
- Global Document review
- Protect

Table
-----
- For Number Format the Submenu (from calc) was added incl. Number Recognition cause Number Recognition is related to Number Format and not that important to have it on main level

Form
----
- No Change
- If someone say with Review there are to much main menus, I think review is more important than form

Tools
-----
- Spelling stuff is in Review
- Chapter Numbering in Format
- Line Numbering in View
- Footnotes and Endnotes in Edit -> Reference
- Envelope was moved from insert to Mail Merge Wizard

Window
------
NO Change

Help
----
No Change
Comment 4 Heiko Tietze 2018-06-18 13:19:48 UTC
And now please answer the Why. And please in a way that we can point a user who is missing a particular command to the explanation why it needed to be changed. Meaning every single change needs a traceable reasoning.

Furthermore, have you checked your modifications against the guideline? 
https://wiki.documentfoundation.org/Design/MenuBar
Comment 5 Dieter 2018-06-18 13:36:05 UTC
Since there are so many open questions to Andreas, I think we can change the status to NEEDINFO
Comment 6 andreas_k 2018-06-18 13:50:19 UTC
or we close the bug cause it look that nobody is interested into.
Comment 7 Xisco Faulí 2018-06-19 13:23:51 UTC
(In reply to andreas_k from comment #6)
> or we close the bug cause it look that nobody is interested into.

@heiko, what do you think?
Comment 8 Heiko Tietze 2018-06-19 13:35:31 UTC
(In reply to Xisco Faulí from comment #7)
> (In reply to andreas_k from comment #6)
> > or we close the bug cause it look that nobody is interested into.
> 
> @heiko, what do you think?

Yes, lets do that.
Comment 9 Thomas Lendo 2018-06-19 18:39:39 UTC
Personally I'm not afraid of or against changes per se. But I would really like to hear the reasons for every change. Maybe it's a good idea that others also like and we can do that. Step by step could help too instead of a mass change for that you can't convince others.
Comment 10 andreas_k 2018-06-19 19:18:21 UTC
I start first with a convergence between ALL LibO APPS cause now "only" swriter, scalc, sdraw and simpress are done.
Comment 11 Yousuf Philips (jay) (retired) 2018-06-20 13:16:55 UTC
(In reply to Thomas Lendo from comment #2)
> ... They were discussed in detail and based (sometimes) on use statistics.

It was primarily based on usage statistics, so not sure where you are getting 'sometimes' from. "Besides the HIG, the modifications are based on the user metric statistics done by OpenOffice, analysis of a number of competing office suites, reading user feedback, and watching user videos." - https://design.blog.documentfoundation.org/2016/01/22/way-down-in-the-libreoffice-menus/

Here are my thoughts to Andreas's changes.

(In reply to andreas_k from comment #3)
> Edit
> ----
> - Separator between Past and Select

-1 as selection is part of the copy/cut/paste functionality and wouldnt work to have a single entry in the select group in impress and draw

> - Select options grouped like in calc

+1 if it were named 'Select Options'

> - Design Mode is in Forms and should be removed

+1

> - Exchange Database moved to tools cause there are ALL "database" items

+1 as heiko suggested the same thing - https://bugs.documentfoundation.org/show_bug.cgi?id=91781#c18

> View
> ----
> - 3rd section are the show additional stuff like Formatting Marks,
> Whitespace and Grid

What are the similarities in this group that cause it to be separate from the others?

> - 4rd section are alternative views

-1 this group was an others group of less used (aka advanced) commands that could be joined with the 3rd group.

> - Data Sources -> Tools as all Database stuff

-1 as this option changes the view area, just like sidebar

> Insert
> ------
> - horizontal Line moved to Shape Submenu

-1 this isnt a shape its a paragraph style

> - Section and Text from File move more to bottom (Section fit's good with
> signature cause you can lock sections)
> - Text from File I don't know in which group

-1 they were previously at the bottom with envelope, but separate them in 6.1 as there will be a number of new less important insert functions added to the bottom and also based on Sophie's previous recommendation of their importance

> Format
> ------
> - Chapter Numbering was added cause it fit's with Character, Paragraph, ...
> Property

-1

> - Caption was moved from insert to the Image, Shape, Object group cause
> Caption is exactly for them.

-1 as duplication of a single entry isnt useful

> - Name and Description I don't know where to move them, I don't know why
> this should be that useful in writer should be somewhere in a subgroup

-1 these are accessibility commands

> - as Format is the largest new section (same size than insert in the old
> layout) I would prefer to combine Flip and Rotate

-1 left separate as they are separate in Impress and Draw

> Review
> ------
> - Complete new Main Section
> - Review yourself with Spelling
> - AutoText
> - Track Changes
> - Comments (the names should be more clear for the different commands, also
> in 6.0)
> - Global Document review
> - Protect

-1 as maintaining the location of these commands to be in a similar position with other main menu apps of competing apps is important. also HIG recommends not having more than 10 main menu items, and we are already at 11.

> Table
> -----
> - For Number Format the Submenu (from calc) was added incl. Number
> Recognition cause Number Recognition is related to Number Format and not
> that important to have it on main level

+1 though number recognition likely needs to be renamed as it didnt mean what i thought it meant - https://help.libreoffice.org/latest/en-US/text/swriter/guide/number_date_conv.html?DbPAR=WRITER#bm_id3156383

> Form
> ----
> - No Change
> - If someone say with Review there are to much main menus, I think review is
> more important than form

Review is definitely not more important that Form, as many users use writer to exclusively make forms.

> Tools
> -----
> - Line Numbering in View

-1 as its a configuration dialog and not a toggle button as all other entries in View menu are
Comment 12 Heiko Tietze 2018-06-22 09:19:18 UTC
(In reply to Yousuf Philips (jay) (retired) from comment #11)
> ...
> -1 ...

You reopened the ticket but most arguments are against the proposed changes. Thing is that we should be very careful with any modifications, and these here were way too many without good reasons.
Comment 13 Thomas Lendo 2018-11-29 19:52:56 UTC
I close this bug as WONTFIX as nothing changed since half of a year and most of the proposed changes were rejected. If single changes will be suggested in the future, please reopen a new bug or several new bugs.